Bug 890810 - /var/lib/ovirt-engine/backups ownership changes in upgrade via yum (from ovirt:ovirt to root:root)
/var/lib/ovirt-engine/backups ownership changes in upgrade via yum (from ovir...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-setup (Show other bugs)
3.1.0
Unspecified Unspecified
urgent Severity urgent
: ---
: 3.2.0
Assigned To: Alex Lourie
Pavel Stehlik
integration
: TestBlocker, ZStream
Depends On:
Blocks: 890817 915537
  Show dependency treegraph
 
Reported: 2012-12-30 05:49 EST by Yaniv Kaul
Modified: 2015-09-22 09 EDT (History)
8 users (show)

See Also:
Fixed In Version: sf-5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 890817 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 10487 None None None Never

  None (edit)
Description Yaniv Kaul 2012-12-30 05:49:22 EST
Description of problem:
'yum install rhevm-backend' (from RHN) - provides 3.1.0, with 'ovirt:ovirt'.
Then enabled SI25.2 repo, re-ran 'yum update' - directory changed to 'root:root' 

I executed on a clean machine 'yum install rhevm-backend' :

Dec 27 17:54:27 Installed: rhevm-sdk-3.1.0.16-1.el6ev.noarch
Dec 27 17:54:28 Installed: rhevm-log-collector-3.1.0-10.el6ev.noarch
Dec 27 17:54:28 Installed: rhevm-iso-uploader-3.1.0-9.el6ev.noarch
Dec 27 17:54:29 Installed: rhevm-image-uploader-3.1.0-8.el6ev.noarch
Dec 27 17:54:30 Installed: rhevm-cli-3.1.0.17-1.el6ev.noarch
Dec 27 17:54:40 Installed: rhev-guest-tools-iso-3.1-9.noarch
Dec 27 17:54:41 Installed: rhevm-spice-client-x64-cab-3.1-8.el6.noarch
Dec 27 17:54:44 Installed: rhevm-spice-client-x86-cab-3.1-8.el6.noarch
Dec 27 17:54:44 Installed: rhevm-genericapi-3.1.0-32.el6ev.noarch
Dec 27 17:54:45 Installed: rhevm-setup-3.1.0-32.el6ev.noarch
Dec 27 17:54:47 Installed: rhevm-backend-3.1.0-32.el6ev.noarch
Dec 27 17:54:48 Installed: rhevm-restapi-3.1.0-32.el6ev.noarch
Dec 27 17:55:03 Installed: rhevm-webadmin-portal-3.1.0-32.el6ev.noarch
Dec 27 17:55:14 Installed: rhevm-doc-3.1.0-21.el6eng.noarch
Dec 27 17:55:15 Installed: rhevm-dbscripts-3.1.0-32.el6ev.noarch
Dec 27 17:55:15 Installed: rhevm-config-3.1.0-32.el6ev.noarch
Dec 27 17:55:16 Installed: rhevm-notification-service-3.1.0-32.el6ev.noarch
Dec 27 17:55:16 Installed: rhevm-tools-common-3.1.0-32.el6ev.noarch
Dec 27 17:55:18 Installed: rhevm-3.1.0-32.el6ev.noarch
Dec 27 17:55:29 Installed: rhevm-userportal-3.1.0-32.el6ev.noarch

I then enabled the local repo of SI25.2 (3.1.1 candidate) and WITHOUT running rhevm-setup, just executed 'yum update':

Dec 27 17:56:54 Updated: vdsm-python-4.9.6-44.2.el6_3.x86_64
Dec 27 17:56:54 Updated: vdsm-bootstrap-4.9.6-44.2.el6_3.noarch
Dec 27 17:56:55 Updated: rhevm-cli-3.1.1.2-1.el6ev.noarch
Dec 27 17:56:56 Updated: rhevm-config-3.1.0-36.el6ev.noarch
Dec 27 17:56:56 Updated: rhevm-tools-common-3.1.0-36.el6ev.noarch
Dec 27 17:56:59 Updated: rhevm-backend-3.1.0-36.el6ev.noarch
Dec 27 17:56:59 Updated: rhevm-setup-3.1.0-36.el6ev.noarch
Dec 27 17:57:00 Updated: rhevm-dbscripts-3.1.0-36.el6ev.noarch
Dec 27 17:57:15 Updated: rhevm-webadmin-portal-3.1.0-36.el6ev.noarch
Dec 27 17:57:16 Updated: rhevm-restapi-3.1.0-36.el6ev.noarch
Dec 27 17:57:29 Updated: rhevm-userportal-3.1.0-36.el6ev.noarch
Dec 27 17:57:29 Updated: rhevm-genericapi-3.1.0-36.el6ev.noarch
Dec 27 17:57:30 Updated: rhevm-3.1.0-36.el6ev.noarch
Dec 27 17:57:31 Updated: rhevm-notification-service-3.1.0-36.el6ev.noarch
Dec 27 17:57:31 Updated: vdsm-cli-4.9.6-44.2.el6_3.noarch
Dec 27 17:57:33 Updated: vdsm-hook-vhostmd-4.9.6-44.2.el6_3.noarch


The result was the directory ownership change:

.live.[root@TPS-x86-64-rhevm31 /]# ls -l /var/lib/ovirt-engine/
total 12
drwxr-xr-x. 2 root  root  4096 2012-11-27 20:36 backups
drwxr-xr-x. 2 ovirt ovirt 4096 2012-11-27 20:36 content
drwxr-xr-x. 2 ovirt ovirt 4096 2012-11-27 20:36 deployments
.live.[root@TPS-x86-64-rhevm31 /]# rpm -q rhevm-backend
rhevm-backend-3.1.0-32.el6ev.noarch
.live.[root@TPS-x86-64-rhevm31 /]# rpm -q rhevm
rhevm-3.1.0-32.el6ev.noarch
.live.[root@TPS-x86-64-rhevm31 /]# rpm -q rhevm-setup
rhevm-setup-3.1.0-32.el6ev.noarch 

Version-Release number of selected component (if applicable):
SI25.2

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 6 Itamar Heim 2013-06-11 05:36:46 EDT
3.2 has been released
Comment 7 Itamar Heim 2013-06-11 05:37:10 EDT
3.2 has been released
Comment 8 Itamar Heim 2013-06-11 05:51:28 EDT
3.2 has been released

Note You need to log in before you can comment on or make changes to this bug.